/**
* Help Tip
*/
@mixin icon_dashicons($glyph: "\f333") {
	font-family: "Dashicons";
	speak: never;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	margin: 0;
	text-indent: 0;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	text-align: center;
	content: $glyph;
}

.woocommerce-help-tip {
	color: color(tooltip);
	display: inline-block;
	font-size: 22px;
	font-style: normal;
	height: 22px;
	line-height: 22px;
	position: relative;
	vertical-align: middle;
	width: 22px;
	bottom: 10px;

	&::after {
		@include icon_dashicons("\f223");
		cursor: help;
	}
}


/**
* Tooltips
*/
.tips {
	cursor: help;
	text-decoration: none;
}

img.tips {
	padding: 5px 0 0;
}

#tiptip_holder {
	display: none;
	z-index: 8675309;
	position: absolute;
	top: 0;
	pointer-events: none;

	/*rtl:ignore*/
	left: 0;

	&.tip_top {
		padding-bottom: 5px;

		#tiptip_arrow_inner {
			margin-top: -7px;
			margin-left: -6px;
			border-top-color: color(tooltip);
		}
	}

	&.tip_bottom {
		padding-top: 5px;

		#tiptip_arrow_inner {
			margin-top: -5px;
			margin-left: -6px;
			border-bottom-color: color(tooltip);
		}
	}

	&.tip_right {
		padding-left: 5px;

		#tiptip_arrow_inner {
			margin-top: -6px;
			margin-left: -5px;
			border-right-color: color(tooltip);
		}
	}

	&.tip_left {
		padding-right: 5px;

		#tiptip_arrow_inner {
			margin-top: -6px;
			margin-left: -7px;
			border-left-color: color(tooltip);
		}
	}
}

#tiptip_content,
.chart-tooltip,
.wc_error_tip {
	color: #fff;
	font-size: 0.8em;
	max-width: 150px;
	background: color(tooltip);
	text-align: center;
	border-radius: 3px;
	padding: 0.618em 1em;
	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);

	code {
		padding: 1px;
		background: #888;
	}
}

#tiptip_arrow,
#tiptip_arrow_inner {
	position: absolute;
	border-color: transparent;
	border-style: solid;
	border-width: 6px;
	height: 0;
	width: 0;
}
